Name:          libmx
Version:       1.0.1
Release:       1%{?dist}
Summary:       A clutter widget toolkit

Group:         System Environment/Libraries
License:       LGPLv2
URL:           http://www.meego.com/
Source0:       http://people.freedesktop.org/~thos/mx/mx-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-imcontext-devel
BuildRequires: clutter-gesture-devel
BuildRequires: dbus-glib-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gir-repository-devel
BuildRequires: gtk2-devel
BuildRequires: pkgconfig
BuildRequires: startup-notification-devel
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: gtk-doc

%description
Mx is a clutter widget toolkit that provides a set of standard user interface 
elements, including buttons, progress bars, tooltips, scroll bars and others. 
It also implements some standard layout managers. One other interesting feature 
is the possibility of setting style properties from a css-like file. It is 
currently used by Moblin to provide the user experience.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Header files and libraries used for development with MX, a clutter widget 
toolkit, currently used primarily by Moblin.

%package docs
Summary: Documentation files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
BuildArch: noarch

%description docs
This package contains developer documentation for MX, a clutter widget 
toolkit, currently used primarily by Moblin.

%prep
%setup -q -n mx-%{version}

%build
%configure --disable-static --enable-introspection --enable-gtk-doc --with-clutter-imcontext --with-clutter-gesture
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang mx-1.0

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f mx-1.0.lang
%defattr(-,root,root,-)
%doc COPYING.LIB README ChangeLog
%{_bindir}/mx-create-image-cache
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/Mx*.typelib
%{_datadir}/mx

%files devel
%defattr(-,root,root,-)
%{_includedir}/mx-1.0
%{_libdir}/pkgconfig/mx*.pc
%{_libdir}/*.so
%{_datadir}/gir-1.0/Mx*.gir

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/mx

%changelog
* Sat May 22 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.1-1
- New upstream 1.0.1 stable release, use official tar file

* Mon May 17 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.0-1
- New upstream 1.0.0 stable release

* Sat May  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.8-1
- New upstream 0.99.8 release

* Mon Apr 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.7-1
- New upstream 0.99.7 release

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.5-1
- New upstream 0.99.5 release

* Wed Apr 14 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.4-2
- Upload new source file

* Wed Apr 14 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.4-1
- New upstream 0.99.4 release

* Thu Mar 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.0-2
- Add patch to fix build on gtk 2.2.20

* Thu Mar 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.0-1
- New upstream 0.9.0 release

* Sun Feb 28 2010 Peter Robinson <pbrobinson@gmail.com> 0.7.3-1
- New upstream 0.7.3 release

* Sun Feb 21 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-1
- New upstream 0.6.1 release

* Fri Feb 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.0-2
- Upload source file

* Mon Feb  8 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.0-1
- New upstream 0.6.0 release

* Wed Feb  3 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.2-1
- New upstream 0.5.2 release

* Thu Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.1-2
- Bump build

* Thu Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.1-1
- New upstream 0.5.1 release

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-3
- Add dbus dep while we're at it!

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-2
- Add new dep

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-1
- New upstream 0.5.0 release

* Wed Jan 13 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-3
- Drop unneeded libccss dependency

* Tue Jan 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-2
- Enable gesture support

* Tue Jan 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-1
- New upstream 0.4.0 release

* Wed Jan  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.3.0-3
- fix build

* Mon Jan  4 2010 Peter Robinson <pbrobinson@gmail.com> 0.3.0-2
- Update package based on initial review comments

* Wed Dec  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.0-1
- New upstream 0.2.0 release

* Thu Nov 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- New upstream 0.1.2 release

* Wed Nov 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- Initial packaginp
